/// class PD.Manage.Modules.MailQueueSettingsDialogCommand

PD.Manage.Modules.MailQueueSettingsDialogCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "mail-queue-item/settings-dialog");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("server_mail.png"));
        this.props("label", "Mail Settings");
        this.props("tooltip", "Edit the settings using to send email.");
    },

    execute: function (e) {

        ProspectDirector.Web.UI.FeatureSets.NHibTargetEditorDialog.open({
            config: {
                minHeight: "500px",
                height: "500px",
                width: "450px",
                title: "Mail Settings"
            },
            data: {
                layoutType: ProspectDirector.Web.UI.FeatureSets.Layouts.TabStripLayout,
                targetArbiter: "ProspectDirector.Web.Manage.Modules.Mail.MailServerArbiter",
                targetType: "ProspectDirector.Web.Manage.Modules.Mail.MailServerUIO",
                targetId: "mail.server.settings"
            }
        });

    }

});